=== user/expect/expect-5.43.0/debian/changelog ===
expect (5.43.0-17) unstable; urgency=low

  * Reordering removal of config.guess and config.sub in clean target
    (Closes: #488489).
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Thu,  3 Jul 2008 10:38:00 +0200

expect (5.43.0-16) unstable; urgency=low

  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Rewriting copyright file in machine-interpretable format.
  * Removing watch file.
  * Adding vcs fields in control.
  * Upgrading package to debhelper 7.
  * Removing useless whitespace in changelog file.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Sat,  3 May 2008 12:44:00 +0200

expect (5.43.0-15) unstable; urgency=low

  * Bumping to new policy.
  * Using homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Adding tk8.4-dev to expect-dev depends.
  * Including expect scripts in expect-dev (Closes: #442142).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 13:50:00 +0100

expect (5.43.0-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #441115).
  * Rediffed 13-implicit-defs.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 12:02:00 +0200

expect (5.43.0-13.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fix implicit definitions throughout.  Closes: #441115

 -- LaMont Jones <lamont@debian.org>  Wed, 19 Sep 2007 15:38:18 -0600

expect (5.43.0-13) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to
    add fdout in expBusy (Closes: #440818).

 -- Daniel Baumann <daniel@debian.org>  Tue,  4 Sep 2007 21:34:00 +0200

expect (5.43.0-12) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to check before call
    ttyname, so don't coredump in chroots without /proc (Closes: #440804).

 -- Daniel Baumann <daniel@debian.org>  Tue,  4 Sep 2007 15:47:00 +0200

expect (5.43.0-11) unstable; urgency=low

  * Fixed clean: target in rules (Closes: #424200).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 May 2007 11:17:00 +0200

expect (5.43.0-10) unstable; urgency=low

  * Removed double reference to expect in expecttk depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 15:34:00 +0200

expect (5.43.0-9) unstable; urgency=low

  * Minor cleanups.
  * Bumping package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 May 2007 13:50:00 +0200

expect (5.43.0-8) unstable; urgency=medium

  * Added patch from Niko Tyni <ntyni@iki.fi> to fix static library name on
    alpha, mips and mipsel (Closes: #390366).
  * Added *.so symlink (Closes: #390365).

 -- Daniel Baumann <daniel@debian.org>  Sun,  1 Oct 2006 22:23:00 +0200

expect (5.43.0-7) unstable; urgency=medium

  * Adjusted 06-pkgindex.dpatch to reflect the new soname introduced with
    5.43.0-4 in pkgIndex.tcl (Closes: #381052).

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 Aug 2006 20:54:00 +0200

expect (5.43.0-6) unstable; urgency=low

  * Adjusted lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Jul 2006 18:48:00 +0200

expect (5.43.0-5) unstable; urgency=low

  * Moved examples from path to examples directory (Closes: #377851).

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 18:54:00 +0200

expect (5.43.0-4) unstable; urgency=low

  * New maintainer (Closes: #368094).
  * Acknowledge NMU (Closes: #367618, #368364, #368580).
  * Redone debian directory based on newer debhelper templates, additionally:
    - Added lintian overrides.
    - Added watch file.
    - Fixed depends (Closes: #375869).
    - Rediffed all patches from scratch using dpatch, put descriptions to
      every patch and assigned correct credits. All patches get applied now.
    - Rewritten debian/copyright, it's the correct and relevant information now.
    - Running test suites while the build process.
    - Set soname to libexpect.so.5.43.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Jul 2006 15:40:00 +0200

expect (5.43.0-3.1) unstable; urgency=low

  * NMU to fix atlas3 FTBFS.
  * Apply patch from Paul Cupis:
    - Move libexpect5.43.so into expect package. (Closes: 367618)
      (libexpect-dev Depends on expect, so 367325 is still fixed.)

 -- Bill Allombert <ballombe@debian.org>  Sun, 21 May 2006 17:36:06 +0200

expect (5.43.0-3) unstable; urgency=high

  * Applied patch from Alec Berryman, fixing a symlink error.
    Closes: #367325

 -- Jonathan Walther <krooger@debian.org>  Tue, 16 Mar 2006 12:46:52 -0800

expect (5.43.0-2) unstable; urgency=high

  * Lintian fix: more hyphenation in the manpage.
  * Lintian fix: removed DH_COMPAT from rules file.

 -- Jonathan Walther <krooger@debian.org>  Sun, 12 Mar 2006 22:24:52 -0800

expect (5.43.0-1) unstable; urgency=high

  * Latest upstream (still two years old though)
  * Better fix for infinite write bug

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:06:52 -0800

expect (5.42.1-5) unstable; urgency=high

  * Lintian fix: standards version.
  * Lintian fix: linebreak in manpage.
  * Fixing hyphenation escaping in manpage too.
  * Previous release fixed this bug.
    Closes: #270628

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:06:52 -0800

expect (5.42.1-4) unstable; urgency=high

  * Depending on autoconf2.13 not necessary because config.{guess,sub} is
    properly updated now.  Thank you LaMont Jones and Steve Langasek.
    Closes: #295633
  * Fixed an infinite write bug. Thank you Martin Forssen for the patch.
    Closes: #294092
  * Output problems should be fixed now that infinite write bug is fixed.
    Closes: #301556
  * Incorrect use of fork() is not expect's problem.  Without more
    information, I have to declare this a Tcl8.4 bug.
    Closes: #314224
  * All the tests in the tests directory pass with flying colors.
    Closes: #156815
  * Upstream fixed the autoexpect script at some point in the past.
    Closes: #197640


