=== user/openssh/openssh-4.3p2/debian/changelog ===
openssh (1:4.3p2-9) unstable; urgency=high

  [ Russ Allbery ]
  * Fix GSSAPIKeyExchange configuration file handling logic in ssh-krb5
    (closes: #404863).
  * Fix uncommenting of GSSAPI options by ssh-krb5 (closes: #407766).

  [ Colin Watson ]
  * debconf template translations:
    - Add Norwegian Bokmål (thanks, Bjørn Steensrud; closes: #412330).

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Mar 2007 16:13:50 +0000

openssh (1:4.3p2-8) unstable; urgency=medium

  [ Vincent Untz ]
  * Give the ssh-askpass-gnome window a default icon; remove unnecessary
    icon extension from .desktop file (closes:
    https://launchpad.net/bugs/27152).

  [ Colin Watson ]
  * Drop versioning on ssh/ssh-krb5 Replaces, as otherwise it isn't
    sufficient to replace conffiles (closes: #402804).
  * Make GSSAPICleanupCreds a compatibility alias for
    GSSAPICleanupCredentials. Mark GSSUseSessionCCache and
    GSSAPIUseSessionCredCache as known-but-unsupported options, and migrate
    away from them on upgrade.
  * It turns out that the people who told me that removing a conffile in the
    preinst was sufficient to have dpkg replace it without prompting when
    moving a conffile between packages were very much mistaken. As far as I
    can tell, the only way to do this reliably is to write out the desired
    new text of the conffile in the preinst. This is gross, and requires
    shipping the text of all conffiles in the preinst too, but there's
    nothing for it. Fortunately this nonsense is only required for smooth
    upgrades from sarge.
  * debconf template translations:
    - Add Romanian (thanks, Stan Ioan-Eugen; closes: #403528).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Dec 2006 18:38:33 +0000

openssh (1:4.3p2-7) unstable; urgency=medium

  [ Colin Watson ]
  * Ignore errors from usermod when changing sshd's shell, since it will
    fail if the sshd user is not local (closes: #398436).
  * Remove version control tags from /etc/ssh/moduli and /etc/ssh/ssh_config
    to avoid unnecessary conffile resolution steps for administrators
    (thanks, Jari Aalto; closes: #335259).
  * Fix quoting error in configure.ac and regenerate configure (thanks, Ben
    Pfaff; closes: #391248).
  * When installing openssh-client or openssh-server from scratch, remove
    any unchanged conffiles from the pre-split ssh package to work around a
    bug in sarge's dpkg (thanks, Justin Pryzby and others; closes: #335276).

  [ Russ Allbery ]
  * Create transitional ssh-krb5 package which enables GSSAPI configuration
    in sshd_config (closes: #390986).
  * Default client to attempting GSSAPI authentication.
  * Remove obsolete GSSAPINoMICAuthentication from sshd_config if it's
    found.
  * Add ssh -K option, the converse of -k, to enable GSSAPI credential
    delegation (closes: #401483).

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Dec 2006 23:00:49 +0000

openssh (1:4.3p2-6) unstable; urgency=low

  * Acknowledge NMU (thanks, Manoj; closes: #394795).
  * Backport from 4.5p1:
    - Fix a bug in the sshd privilege separation monitor that weakened its
      verification of successful authentication. This bug is not known to be
      exploitable in the absence of additional vulnerabilities.
  * openssh-server Suggests: molly-guard (closes: #395473).
  * debconf template translations:
    - Update German (thanks, Helge Kreutzmann; closes: #395947).

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Nov 2006 00:07:32 +0000

openssh (1:4.3p2-5.1) unstable; urgency=low

  * NMU to update SELinux patch, bringing it in line with current selinux
    releases.  The patch for this NMU is simply the Bug#394795 patch, 
    and no other changes.                       (closes: #394795)

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  23 Oct 2006 14:11:24 -0500

openssh (1:4.3p2-5) unstable; urgency=low

  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Oct 2006 09:04:19 +0100

openssh (1:4.3p2-4) unstable; urgency=high

  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.

  * Read /etc/default/locale as well as /etc/environment (thanks, Raphaël
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).

  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier Fernández-Sanguino Peña;
      closes: #382966).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Sep 2006 16:28:24 +0100

openssh (1:4.3p2-3) unstable; urgency=low

  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jul 2006 00:12:36 +0100

openssh (1:4.3p2-2) unstable; urgency=low


