=== user/sudo/debian/changelog ===
sudo (1.6.8p7-1.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Clean SHELLOPTS and PS4 from the environment before executing programs
    with sudo permissions [env.c, CAN-2005-2959]

 -- Martin Schulze <joey@infodrom.org>  Thu, 22 Sep 2005 23:32:53 +0200

sudo (1.6.8p7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Fix up a broken symlink pointing to debian/sudo/usr/bin/sudo, so
    that sudoedit is usable again.  Closes: #305735.

 -- Steve Langasek <vorlon@debian.org>  Tue, 26 Apr 2005 22:59:06 -0700

sudo (1.6.8p7-1) unstable; urgency=low

  * new upstream version, closes: #299585
  * update lintian overrides to squelch the postinst warning
  * change sudoedit from a hard to a soft link, closes: #296896
  * fix regex doc in sudoers man page, closes: #300361

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Mar 2005 22:18:34 -0700

sudo (1.6.8p5-1) unstable; urgency=high

  * new upstream version
  * restores ability to use config tuples without a value, which was causing
    problems on upgrade closes: #283306
  * deliver sudoedit, closes: #283078
  * marking urgency high since 283306 is a serious upgrade incompatibility

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Dec 2004 10:11:16 -0700

sudo (1.6.8p3-2) unstable; urgency=high

  * update pam.d deliverable so ldap works again, closes: #282191

 -- Bdale Garbee <bdale@gag.com>  Mon, 22 Nov 2004 11:44:46 -0700

sudo (1.6.8p3-1) unstable; urgency=high

  * new upstream version, fixes a flaw in sudo's environment sanitizing that 
    could allow a malicious user with permission to run a shell script that 
    utilized the bash shell to run arbitrary commands, closes: #281665
  * patch the sample sudoers to have the proper path for kill on Debian
    systems, closes: #263486
  * patch the sudo manpage to reflect Debian's choice of exempt_group 
    default setting, closes: #236465
  * patch the sudo manpage to reflect Debian's choice of no timeout on the
    password prompt, closes: #271194

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Nov 2004 23:23:41 -0700

sudo (1.6.7p5-2) unstable; urgency=low

  * Jeff Bailey reports that seteuid works on current sparc systems, so we
    no longer need the "grosshack" stuff in the sudo rules file
  * add a postrm that removes /etc/sudoers on purge.  don't do this with the
    normal conffile mechanism since it would generate noise on every upgrade,
    closes: #245405

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jul 2004 12:29:48 -0400

sudo (1.6.7p5-1) unstable; urgency=low

  * new upstream version, closes: #190265, #193222, #197244
  * change from '.' to ':' in postinst chown call, closes: #208369

 -- Bdale Garbee <bdale@gag.com>  Tue,  2 Sep 2003 21:27:06 -0600

sudo (1.6.7p3-2) unstable; urgency=low

  * add --disable-setresuid to configure call since 2.2 kernels don't support
    setresgid, closes: #189044
  * cosmetic cleanups to debian/rules as long as I'm there

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2003 16:04:48 -0600

sudo (1.6.7p3-1) unstable; urgency=low

  * new upstream version
  * add overrides to quiet lintian about things it doesn't understand,
    except the source one that can't be overridden until 129510 is fixed

 -- Bdale Garbee <bdale@gag.com>  Mon,  7 Apr 2003 17:34:05 -0600

sudo (1.6.6-3) unstable; urgency=low

  * add code to rules file to update config.sub/guess, closes: #164501

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Oct 2002 15:35:22 -0600

sudo (1.6.6-2) unstable; urgency=low

  * adopt suggestion from Marcus Brinkmann to feed --with-sendmail option to
    configure, and lose the build dependency on mail-transport-agent
  * incorporate changes from LaMont's NMU, closes: #144665, #144737
  * update init.d to not try and set time on nonexistent timestamp files, 
    closes: #132616
  * build with --with-all-insults, admin must edit sudoers to turn insults 
    on at runtime if desired, closes: #135374
  * stop setting /usr/doc symlink in postinst

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Oct 2002 01:54:24 -0600

sudo (1.6.6-1.1) unstable; urgency=high

  * NMU - patch from Colin Watson <cjwatson@debian.org>, in bts.
  * Revert patch to auth/pam.c that left pass uninitialized, causing a
    segfault (Closes: #144665).

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Apr 2002 22:36:04 -0600

sudo (1.6.6-1) unstable; urgency=high

  * new upstream version, fixes security problem with crafty prompts, 
    closes: #144540

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Apr 2002 12:45:49 -0600

sudo (1.6.5p1-4) unstable; urgency=high

  * apply patch for auth/pam.c to fix yet another way to make sudo segfault
    if ctrl/C'ed at password prompt, closes: #131235

 -- Bdale Garbee <bdale@gag.com>  Sun,  3 Mar 2002 23:18:56 -0700

sudo (1.6.5p1-3) unstable; urgency=high

  * ugly hack to add --disable-saved-ids when building on sparc in response 
    to 131592, which will be reassigned to glibc for a real fix
  * urgency high since the sudo currently in testing for sparc is worthless

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Feb 2002 22:42:10 -0700

sudo (1.6.5p1-2) unstable; urgency=high

  * patch from upstream to fix seg faults caused by versions of pam that
    follow a NULL pointer, closes: #129512

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Jan 2002 01:50:13 -0700

sudo (1.6.5p1-1) unstable; urgency=high

  * new upstream version
  * add --disable-root-mailer option supported by new version to configure 
    call in rules file, closes: #129648

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Jan 2002 11:29:37 -0700

sudo (1.6.4p1-1) unstable; urgency=high

  * new upstream version, with fix for segfaulting problem in 1.6.4

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 20:09:46 -0700

sudo (1.6.4-1) unstable; urgency=high

  * new upstream version, includes an important security fix, closes: #127576

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 09:35:48 -0700


