=== user/pcmciautils/pcmciautils-014/debian/control ===
Source: pcmciautils
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders: Per Olofsson <pelle@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.2), libsysfs-dev (>= 1.3.0), flex, bison

Package: pcmciautils
Architecture: any
Depends: module-init-tools (>= 3.2.2), lsb-base (>= 3.0-6), ${shlibs:Depends}
Recommends: udev
Suggests: wireless-tools
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support
 it. These are included in the stock Debian 2.6 kernel packages. You
 will most likely also need udev, although it isn't always required.
 .
 The wireless-tools package is required by many wireless network adapters.

Package: pcmciautils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: udev-udeb, ${shlibs:Depends}
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support it.
 These are included in the stock Debian 2.6 kernel packages.
 .
 This is a minimal package for use in debian-installer.
